require "test/unit"
require "mixin"

class MixinTest < Test::Unit::TestCase
	module Foo
		include Mixin
		mixin do
			def test
			end
		end
	end
	
	class A
		include Foo
	end

	def test_mixins
		assert_respond_to(A, :test, "A does not respond to test")
	end
end